List authorization events | Moov Documentation

List authorization events

List card network and Moov platform events that affect the authorization and its hold on a wallet balance.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/issued-cards.read scope.

GET

/issuing/{accountID}/authorizations/{authorizationID}/events

Ask

curl -X GET "https://api.moov.io/issuing/{accountID}/authorizations/{authorizationID}/events" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.issuingTransactions.listAuthorizationEvents({
    accountID: "f30f8cb3-64d8-4a5f-a427-965317fa559a",
    authorizationID: "e6a0946d-f3d8-451e-9b1c-5bc346a95dd6",
    skip: 60,
    count: 20,
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->issuingTransactions->listAuthorizationEvents(
    accountID: 'f30f8cb3-64d8-4a5f-a427-965317fa559a',
    authorizationID: 'e6a0946d-f3d8-451e-9b1c-5bc346a95dd6',
    skip: 60,
    count: 20
);

if ($response->issuedCardAuthorizationEvents !== null) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListIssuedCardAuthorizationEventsResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

ListIssuedCardAuthorizationEventsResponse res = sdk.issuingTransactions().listAuthorizationEvents()
                .accountID("f30f8cb3-64d8-4a5f-a427-965317fa559a")
                .authorizationID("e6a0946d-f3d8-451e-9b1c-5bc346a95dd6")
                .skip(60L)
                .count(20L)
                .call();

if (res.issuedCardAuthorizationEvents().isPresent()) {
            System.out.println(res.issuedCardAuthorizationEvents().get());
        }
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:
    
    res = moov.issuing_transactions.list_authorization_events(account_id="f30f8cb3-64d8-4a5f-a427-965317fa559a", authorization_id="e6a0946d-f3d8-451e-9b1c-5bc346a95dd6", skip=60, count=20)

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.issuing_transactions.list_authorization_events(account_id: 'f30f8cb3-64d8-4a5f-a427-965317fa559a', authorization_id: 'e6a0946d-f3d8-451e-9b1c-5bc346a95dd6', skip: 60, count: 20)

unless res.issued_card_authorization_events.nil?
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.IssuingTransactions.ListAuthorizationEventsAsync(
    accountID: "f30f8cb3-64d8-4a5f-a427-965317fa559a",
    authorizationID: "e6a0946d-f3d8-451e-9b1c-5bc346a95dd6",
    skip: 60,
    count: 20
);

// handle response

Example

[
  {
    "eventID": "string",
    "eventType": "authorization",
    "amount": "-14.89",
    "result": "approved",
    "createdOn": "2019-08-24T14:15:22Z"
  }
]

Response headers

Possible values:

The Moov business account for which cards have been issued.

Default: 200

A decimal-formatted numerical string that represents up to 2 decimal place precision. In USD for example, 12.34 is $12.34 and 0.99 is $0.99.

The identifier for this event.

Use the eventType field to determine what resource is identified by this ID (authorization, reversal, etc.).

The type of event that occurred on the card.

Possible values:

The result of an event.

Possible values: